#!/bin/sh

sysconfdir=/etc/ssh

SSH_KEYGEN=/usr/bin/ssh-keygen
HOST_KEY_RSA1=$sysconfdir/ssh_host_key
HOST_KEY_DSA=$sysconfdir/ssh_host_dsa_key
HOST_KEY_RSA=$sysconfdir/ssh_host_rsa_key
HOST_KEY_ECDSA=$sysconfdir/ssh_host_ecdsa_key


$SSH_KEYGEN -t rsa1 -f $HOST_KEY_RSA1 -N ""
$SSH_KEYGEN -t dsa -f $HOST_KEY_DSA -N ""
$SSH_KEYGEN -t rsa -f $HOST_KEY_RSA -N ""
$SSH_KEYGEN -t ecdsa -f $HOST_KEY_ECDSA -N ""


echo
echo
echo reloading keys
killall -HUP sshd

echo done